Page MenuHomePhabricator

RevisionSlider lazy loading causes arrow on bar to load on wrong side in RTL
Closed, ResolvedPublic

Description

Report at : https://www.mediawiki.org/wiki/Topic:Tgznmfaazl6ba68c

Hi. Something happened, and now the RS opening arrow is on the right side of the screen instead of usual left. When clicking, the arrow "jumps" back to the left side.

Without looking at the code I am 99% sure that this is is due to the lazy loading patch https://gerrit.wikimedia.org/r/#/c/323193/

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 11 2016, 3:39 PM
Restricted Application added a project: TCB-Team. · View Herald TranscriptDec 11 2016, 3:40 PM
IKhitron added a subscriber: Guycn2.
Addshore added a project: RTL.
Restricted Application added a project: I18n. · View Herald TranscriptDec 11 2016, 3:51 PM
Addshore moved this task from Proposed to Todo on the WMDE-QWERTY-Team board.Dec 11 2016, 3:59 PM
Addshore claimed this task.

Change 326494 had a related patch set uploaded (by Addshore):
Load bar arrow on left for RTL languages

https://gerrit.wikimedia.org/r/326494

Change 326495 had a related patch set uploaded (by Addshore):
Load bar arrow on left for RTL languages

https://gerrit.wikimedia.org/r/326495

Change 326495 abandoned by Addshore:
Load bar arrow on left for RTL languages

Reason:
no longer swatting

https://gerrit.wikimedia.org/r/326495

Change 326494 merged by jenkins-bot:
Load bar arrow on left for RTL languages

https://gerrit.wikimedia.org/r/326494

Tobi_WMDE_SW closed this task as Resolved.Dec 14 2016, 12:34 PM
Tobi_WMDE_SW moved this task from Sprint ready to Done on the WMDE-QWERTY-Team board.

Change 327475 had a related patch set uploaded (by Addshore):
Load bar arrow on left for RTL languages

https://gerrit.wikimedia.org/r/327475

Change 327475 merged by jenkins-bot:
Load bar arrow on left for RTL languages

https://gerrit.wikimedia.org/r/327475

Also backported onto the wmf6 branch now which should be deployed to everywhere this evening!

Tobi_WMDE_SW moved this task from Incoming to Done on the Revision-Slider board.Dec 16 2016, 10:35 AM
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Dec 20 2016, 12:10 PM